body { padding: 0; margin: 0; overflow:hidden; background-color: rgb(0, 0, 0) !important;}
#unity-container { position: absolute }
#unity-container.unity-desktop { left: 50%; top: 50%; transform: translate(-50%, -50%) }
#unity-container.unity-mobile { position: fixed; width: 100%; height: 100% }
#unity-canvas { background: black }
.unity-mobile #unity-canvas { width: 100%; height: 100% }
#unity-footer { position: relative }
.unity-mobile #unity-footer { display: none }
#unity-webgl-logo { float:left; width: 204px; height: 38px; background: url('webgl-logo.png') no-repeat center }
#unity-build-title { float: right; margin-right: 10px; line-height: 38px; font-family: arial; font-size: 18px }
#unity-fullscreen-button { cursor:pointer; float: right; width: 38px; height: 38px; background: url('fullscreen-button.png') no-repeat center }
#unity-warning { position: absolute; left: 50%; top: 5%; transform: translate(-50%); background: white; padding: 10px; display: none }

#fileInput{ float: right; font-size: x-large; display: none;}

.flip-counter {
  display: flex;
  gap: 10px;
  position: fixed;
  background: black;
  padding: 10px 15px;
  top: 50%;
  left: 50%;
  border-radius: 8px;
  transform: translate(-50%, -50%);
  z-index: 1000; /* Ensure it's above other elements */
}

.flip-card {
  position: relative;
  width: 70px;
  height: 100px;
  background: #ffffff;
  color: #000000;
  font-size: 3rem;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 12px;
  overflow: hidden;
  box-shadow: inset 0 -1px 0 #999, inset 0 1px 0 #999;
}

.flip-card::before {
  content: '';
  position: absolute;
  top: 50%;
  width: 100%;
  height: 1px;
  /* background: #999; */
  z-index: 2;
}

.flip-card span {
  transition: transform 0.4s ease;
  display: block;
  backface-visibility: hidden;
  transform: rotateX(0deg);
  transform-origin: center;
}

.flip-card.flip span {
  transform: rotateX(360deg);
}
